Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.support
Class BeanFactoryVariableValueFactory

    java.lang.Object
      org.springframework.webflow.engine.support.BeanFactoryVariableValueFactory

All Implemented Interfaces:
  VariableValueFactory

    public class BeanFactoryVariableValueFactory

extends java.lang.Object
implements VariableValueFactory

A bean-factory backed variable value factory. Relies on an autowire-capable bean factory to wire variable value dependencies on value creation and restoration.

Author:
  Keith Donald

Constructor Summary
`BeanFactoryVariableValueFactory(java.lang.Class type, org.springframework.beans.factory.config.AutowireCapableBeanFactory beanFactory)` Creates a new bean factory variable factory.

Method Summary
`java.lang.Object` | `createInitialValue(RequestContext context)` Creates the variable's initial value.
`void` | `restoreReferences(java.lang.Object value, RequestContext context)` Restore any references the variable's value needs to other objects.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanFactoryVariableValueFactory

    public BeanFactoryVariableValueFactory(java.lang.Class type,
                                           org.springframework.beans.factory.config.AutowireCapableBeanFactory beanFactory)

  Creates a new bean factory variable factory.

  Parameters:
    `type` - the variable class
    `beanFactory` - the bean factory that will create and restore variable instances.

Method Detail

### createInitialValue

    public java.lang.Object createInitialValue(RequestContext context)

  Description copied from interface: `VariableValueFactory`
  Creates the variable's initial value.

  Specified by:
    `createInitialValue` in interface `VariableValueFactory`
  Parameters:
    `context` - the currently executing flow request
  Returns:
    the value

### restoreReferences

    public void restoreReferences(java.lang.Object value,
                                  RequestContext context)

  Description copied from interface: `VariableValueFactory`
  Restore any references the variable's value needs to other objects. Such references may have been lost during deserialization, for example, and need to be restored.

  Specified by:
    `restoreReferences` in interface `VariableValueFactory`
  Parameters:
    `value` - the current variable value
    `context` - the currently executing flow request

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD